#
# spec file for package python3-azuremetadata
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define upstream_name azuremetadata
Name:           python3-azuremetadata
Version:        5.1.5
Release:        1.8
# Packaged renamed in SLE15
Provides:       azuremetadata = %{version}
Obsoletes:      azuremetadata < 5.0.0
Conflicts:      regionServiceClientConfigAzure <= 0.0.4
Conflicts:      regionServiceClientConfigSAPAzure <= 1.0.1
Summary:        Python module for collecting instance metadata from Azure
License:        GPL-3.0-or-later
Group:          System/Management
URL:            https://github.com/SUSE-Enceladus/azuremetadata
Source0:        %{name}-%{version}.tar.bz2
Requires:       python3
Recommends:     util-linux
BuildRequires:  python-rpm-macros
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A module for collecting instance metadata from Microsoft Azure.

%prep
%setup -q -n %{name}-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_mandir}/man1
install -m 644 man/man1/azuremetadata.1 %{buildroot}/%{_mandir}/man1
gzip %{buildroot}/%{_mandir}/man1/azuremetadata.1

%files
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_mandir}/man*/*
%dir %{python3_sitelib}/%{upstream_name}
%dir %{python3_sitelib}/%{upstream_name}-%{version}-py%{py3_ver}.egg-info
%{_bindir}/*
%{python3_sitelib}/*

%changelog
* Thu Jan 13 2022 Robert Schweikert <rjschwei@suse.com>
- Version 5.1.5 (bsc#1194663)
  + Handle lsblk output format change. The json data now contains
    "mountpoints" instead of "mountpoint"
* Wed Apr 21 2021 Jesús Bermúdez Velázquez <jesusbv@suse.com>
- Version 5.1.4 (bsc#1184720, bsc#1172581)
  + Use versions endpoint to list the available versions
  + Add bypass proxy
  + Update way to check classic vms
* Fri Aug 21 2020 Robert Schweikert <rjschwei@suse.com>
- Fix provides directive (bsc#1175609, bsc#1175610)
  + The provides directive must set a version or update does not work
    as expected
* Fri Aug 21 2020 Robert Schweikert <rjschwei@suse.com>
- Fix provides directive (bsc#1175609, bsc#1175610)
  + The provides directive must set a version or update does not work
    as expected
* Mon Aug  3 2020 Robert Schweikert <rjschwei@suse.com>
- Update to version 5.1.2 (bsc#1173357, bsc#1174847)
  + Detect when the VM is running in ASM (Azure Classic) and handle the
    condition to generate the data we are interested in without requiring
    access to the full IMDS available only in ARM instances.
- From version 5.1.1 (bsc#1173238, bsc#1173240)
  + Add --listapis and --api latest support
* Mon Apr 27 2020 Ivan Kapelyukhin <ikapelyukhin@suse.com>
- Version 5.1.0
- Produce well-formed JSON and XML output when multiple filters
  are specified (bsc#1170598, bsc#1170599)
* Tue Apr 21 2020 Ivan Kapelyukhin <ikapelyukhin@suse.com>
- Version 5.0.1
- Use lsblk for root device detection (bsc#1169921)
* Tue Mar 31 2020 Ivan Kapelyukhin <ikapelyukhin@suse.com>
- Version 5.0.0
- Support new Azure metadata API (bsc#1164818, bsc#1164819)
- Automatically detect root device (bsc#1158698, bsc#1158707)
